# This overlay is used for overriding upstream packages.

self: super:

let
  sources = import ../../nix/sources.nix;

  nixpkgs-master = import <nixpkgs-master> { inherit (super) config; };
  nixpkgs-unstable =
    import <channels-nixos-unstable> { inherit (super) config; };
  pr-holochain-launcher-bin =
    import sources.pr-holochain-launcher-bin { inherit (super) config; };

in {
  inherit nixpkgs-master;
  inherit nixpkgs-unstable;

  # alacritty = nixpkgs-master.alacritty;
  alacritty = super.stdenv.mkDerivation {
    name = "alacritty-custom";
    buildInputs = [ super.makeWrapper ];
    phases = "installPhase";
    installPhase = ''
      makeWrapper ${super.alacritty}/bin/alacritty $out/bin/alacritty \
        --set-default WINIT_X11_SCALE_FACTOR 1.4
    '';
  };

  qtile = super.qtile.overrideAttrs (oldAttrs: {
    propagatedBuildInputs = oldAttrs.passthru.unwrapped.propagatedBuildInputs
      ++ (with self.python3Packages;
        [
          # python-wifi
          # iwlib
          keyring
        ]);
  });

  inherit (pr-holochain-launcher-bin) holochain-launcher;

  # logseq = nixpkgs-staging-steveej.logseq;
}
